<?php 
defined('ABSPATH') or die('Access denied!');

if ( $_POST ) {
	
	if ( isset($_POST['PAYMENTPOL_MerchantID']) ) {
		update_option( 'PAYMENTPOL_MerchantID', $_POST['PAYMENTPOL_MerchantID'] );
	}
	
	if ( isset($_POST['PAYMENTPOL_IsOK']) ) {
		update_option( 'PAYMENTPOL_IsOK', $_POST['PAYMENTPOL_IsOK'] );
	}
  
	if ( isset($_POST['PAYMENTPOL_IsError']) ) {
		update_option( 'PAYMENTPOL_IsError', $_POST['PAYMENTPOL_IsError'] );
	}
	
  if ( isset($_POST['PAYMENTPOL_Unit']) ) {
		update_option( 'PAYMENTPOL_Unit', $_POST['PAYMENTPOL_Unit'] );
	}
  
  if ( isset($_POST['PAYMENTPOL_UseCustomStyle']) ) {
		update_option( 'PAYMENTPOL_UseCustomStyle', 'true' );
    
    if ( isset($_POST['PAYMENTPOL_CustomStyle']) )
    {
      update_option( 'PAYMENTPOL_CustomStyle', strip_tags($_POST['PAYMENTPOL_CustomStyle']) );
    }
    
	}
  else
  {
    update_option( 'PAYMENTPOL_UseCustomStyle', 'false' );
  }
  
	echo '<div class="updated" id="message"><p><strong>تنظیمات ذخیره شد</strong>.</p></div>';
	
}
?>
<h2 id="add-new-user">تنظیمات افزونه حمایت مالی - پی پل</h2>
<h2 id="add-new-user">جمع تمام پرداخت ها : <?php echo get_option("PAYMENTPOL_TotalAmount"); ?>  تومان</h2>
<form method="post">
  <table class="form-table">
    <tbody>
      <tr class="user-first-name-wrap">
        <th><label for="PAYMENTPOL_MerchantID">کد دروازه پرداخت</label></th>
        <td>
          <input type="text" class="regular-text" dir="ltr" value="<?php echo get_option( 'PAYMENTPOL_MerchantID'); ?>" id="PAYMENTPOL_MerchantID" name="PAYMENTPOL_MerchantID">
          <p class="description indicator-hint">XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</p>
        </td>
      </tr>
      <tr>
        <th><label for="PAYMENTPOL_IsOK">پرداخت صحیح</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'PAYMENTPOL_IsOK'); ?>" id="PAYMENTPOL_IsOK" name="PAYMENTPOL_IsOK"></td>
      </tr>
      <tr>
        <th><label for="PAYMENTPOL_IsError">خطا در پرداخت</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'PAYMENTPOL_IsError'); ?>" id="PAYMENTPOL_IsError" name="PAYMENTPOL_IsError"></td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th><label for="PAYMENTPOL_Unit">واحد پول</label></th>
        <td>
          <?php $PAYMENTPOL_Unit = get_option( 'PAYMENTPOL_Unit'); ?>
          <select id="PAYMENTPOL_Unit" name="PAYMENTPOL_Unit">
            <option <?php if($PAYMENTPOL_Unit == 'تومان' ) echo 'selected="selected"' ?>>تومان</option>
            <option <?php if($PAYMENTPOL_Unit == 'ریال' ) echo 'selected="selected"' ?>>ریال</option>
          </select>
        </td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th>استفاده از استایل سفارشی</th>
        <td>
          <?php $PAYMENTPOL_UseCustomStyle = get_option('PAYMENTPOL_UseCustomStyle') == 'true' ? 'checked="checked"' : ''; ?>
          <input type="checkbox" name="PAYMENTPOL_UseCustomStyle" id="PAYMENTPOL_UseCustomStyle" value="true" <?php echo $PAYMENTPOL_UseCustomStyle ?> /><label for="PAYMENTPOL_UseCustomStyle">استفاده از استایل سفارشی برای فرم</label><br>
        </td>
      </tr>
      
      
      <tr class="user-display-name-wrap" id="PAYMENTPOL_CustomStyleBox" <?php if(get_option('PAYMENTPOL_UseCustomStyle') != 'true') echo 'style="display:none"'; ?>>
        <th>استایل سفارشی</th>
        <td>
          <textarea style="width: 90%;min-height: 400px;direction:ltr;" name="PAYMENTPOL_CustomStyle" id="PAYMENTPOL_CustomStyle"><?php echo get_option('PAYMENTPOL_CustomStyle') ?></textarea><br>
        </td>
      </tr>
      
    </tbody>
  </table>
  <p class="submit"><input type="submit" value="به روز رسانی تنظیمات" class="button button-primary" id="submit" name="submit"></p>
</form>

<script>
  if(typeof jQuery == 'function')
  {
    jQuery("#PAYMENTPOL_UseCustomStyle").change(function(){
      if(jQuery("#PAYMENTPOL_UseCustomStyle").prop('checked') == true)
        jQuery("#PAYMENTPOL_CustomStyleBox").show(500);
      else
        jQuery("#PAYMENTPOL_CustomStyleBox").hide(500);
    });
  }
</script>

